Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: L2TP IPsec на ubuntu 14.10  (Прочитано 2113 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Sirota

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
L2TP IPsec на ubuntu 14.10
« : 22 Март 2015, 22:14:35 »
Здравствуйте!
Суть проблемы:
Есть VPN сервер с l2tp протоколом (и юзается PSK ключ)
У меня Ubuntu 14.10 (x86 64)  и необходимо подключаться к данному VPN

Что пытался:
sudo apt-add-repository ppa:werner-jaeger/ppa-werner-vpn
sudo apt-get update
sudo apt-get install l2tp-ipsec-vpn

apt-get update выдал
W: Не удалось получить http://ppa.launchpad.net/werner-jaeger/ppa-werner-vpn/ubuntu/dists/utopic/main/binary-amd64/Packages  404  Not Found

W: Не удалось получить http://ppa.launchpad.net/werner-jaeger/ppa-werner-vpn/ubuntu/dists/utopic/main/binary-i386/Packages  404  Not Found

E: Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.
В ручную зашел на
http://ppa.launchpad.net/werner-jaeger/ppa-werner-vpn
Скачал l2tp-ipsec-vpn_1.0.9.orig.tar.gz но команда make выдала следующее:
qmake -o qttmp-Release.mk -after "OBJECTS_DIR=build/Release" "DESTDIR=dist/Release" nbproject/qt-Release.pro
mv -f qttmp-Release.mk nbproject/qt-Release.mk
make -f nbproject/qt-Release.mk dist/Release/L2tpIPsecVpn
make[1]: вход в каталог «/home/artem/Загрузки/l2tp-ipsec-vpn»
g++ -c -m64 -pipe -O2 -Wall -W -D_REENTRANT -fPIE -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64 -Inbproject -Isrc -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem /usr/include/x86_64-linux-gnu/qt5/QtNetwork -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -Isrc/generated -I. -o build/Release/InterfaceStatisticsDialog.o src/dialogs/InterfaceStatisticsDialog.cpp
In file included from src/dialogs/InterfaceStatisticsDialog.cpp:31:0:
src/dialogs/InterfaceStatisticsDialog.h:30:42: fatal error: ui_InterfaceStatisticsDialog.h: Нет такого файла или каталога
 #include "ui_InterfaceStatisticsDialog.h"
                                          ^
compilation terminated.
nbproject/qt-Release.mk:629: ошибка выполнения рецепта для цели «build/Release/InterfaceStatisticsDialog.o»
make[1]: *** [build/Release/InterfaceStatisticsDialog.o] Ошибка 1
make[1]: выход из каталога «/home/artem/Загрузки/l2tp-ipsec-vpn»
Makefile:47: ошибка выполнения рецепта для цели «build»
make: *** [build] Ошибка 2



Далее нагуглил что  lt2p-ipsec-vpn и OpenSwan  уже неактуальны, поэтому поставил strongswan
apt-get install strongswan network-manager-strongswanВ настройке vpn появился пункт IPsec/IKEv2 но пункта PSK нет и подключение конечно не проходит

Подскажите пожалуйста, как же настроить vpn именно с psk
« Последнее редактирование: 22 Март 2015, 22:32:03 от Sirota »

Оффлайн Lesopoval

  • Активист
  • *
  • Сообщений: 895
    • Просмотр профиля
Re: L2TP IPsec на ubuntu 14.10
« Ответ #1 : 22 Март 2015, 22:38:06 »
Может с этим плагином получится?
https://forum.ubuntu.ru/index.php?topic=181916.0

Оффлайн Sirota

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: L2TP IPsec на ubuntu 14.10
« Ответ #2 : 23 Март 2015, 01:54:51 »
Пробовал
Пакеты, имеющие неудовлетворённые зависимости:
 network-manager-l2tp-gnome : Зависит: network-manager-l2tp (= 0.9.8.5-0utopic1) но он не будет установлен


OK,  sudo apt-get install network-manager-l2tp
Пакеты, имеющие неудовлетворённые зависимости:
 network-manager-l2tp : Зависит: openswan но он не может быть установлен
openswan но он не может быть установлен видимо по причине установленного strongswan

Полный абзац, неужели strongswan не поддерживает l2tp psk ?

Оффлайн Sirota

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: L2TP IPsec на ubuntu 14.10
« Ответ #3 : 24 Март 2015, 23:13:32 »
Через "центр приложений Ububtu" для network manager доустановил OpenVpn plugin и проблема решена
 :idiot2:
занавес..

 

Страница сгенерирована за 0.073 секунд. Запросов: 25.